• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!
  • If you're using Gesior 2012 or MyAAC, please review this thread for information about a serious security vulnerability and a fix.

TFS 1.X+ help to choose the correct distribution 8.6 global map rl

beenii

Active Member
Joined
Jul 26, 2010
Messages
537
Solutions
1
Reaction score
44
I am creating an 8.6 global map rl server based on:

[8.6] [TFS1.3] Global + Source + Web + tools + Quest Reward System

I'm afraid of finding a mistake critical, since my project is very advanced.

I just found a bug that froze for a few seconds when standing in front of the depot.
i just change a few lines of that system depot containers and is solved.

and I know that just like that little mistake, more can come out.

Do you recommend me to use a tfs 0.4 to make a global server 8.6 100% stable?
or do you think that this tfs 1.3 repository can help me to complete my project

What distribution and datapack RL 8.6 could you recommend? is there any datapack premium tested 99%?
 

Shadowman321

Member
Joined
Mar 27, 2010
Messages
205
Reaction score
22
That's the question I was asking myself few days ago.

For one, 0.4 was with us for a long time, and there is a lot of resources, and also its really battle tested on live servers. It should be stable, if you can have code from trusted source.

On the other hand... its old. It might be hard to maintain or run at all in the future. 1.x should also be stable. Is actively developed. You can get more support for it currently. And people are working actively on resources for new tfs.

You can consider use of tfs 1.5 downgrade be @Nekiro : GitHub - nekiro/TFS-1.5-Downgrades at 8.60 (https://github.com/nekiro/TFS-1.5-Downgrades/tree/8.60)
I heard its pretty stable, and you can find some comments here: [8.60/8.00/7.72] Clean TFS 1.5 Downport (https://otland.net/threads/8-60-8-00-7-72-clean-tfs-1-5-downport.277347/)

I think there is no need to keep running 0.4. No matter what code base and distro will you use, there will always be some issues. And it will be easier to find help with some newer tfs, than with some old 0.3 or 0.4 code base, for which everyone has some different code with some custom changes.
 
OP
OP
beenii

beenii

Active Member
Joined
Jul 26, 2010
Messages
537
Solutions
1
Reaction score
44
nekiro tfs 1.5 downgrade to 8.6 is 99% stable


but you will need to add everything related to rl map by hand (not just replacing data folder)
I was just thinking about that, since I see that it is a distribution that continues with updates

I will have to pass the scripts manually, actions, movements, creaturescripts, globalevents, talkactions and library data
 

Nekiro

Legendary OT User
TFS Developer
Joined
Sep 7, 2015
Messages
2,635
Solutions
126
Reaction score
2,030
Solution
OP
OP
beenii

beenii

Active Member
Joined
Jul 26, 2010
Messages
537
Solutions
1
Reaction score
44
thanks for your feedback, I'll get to work migrating the global server scripts to tfs 1.5
Post automatically merged:

What page do you recommend using and in what version? or anyone compatible with tfs 1.5?
 
Last edited:
Top